=== debian/changelog ===
ros-indigo-moveit-controller-multidof (1.0.4-0trusty) trusty; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Jennifer Buehler <jennifer.e.buehler@gmail.com>  Tue, 06 Feb 2018 01:03:25 -0000

ros-indigo-moveit-controller-multidof (1.0.3-0trusty) trusty; urgency=high



 -- Jennifer Buehler <jennifer.e.buehler@gmail.com>  Mon, 05 Feb 2018 23:00:00 -0000

ros-indigo-moveit-controller-multidof (1.0.1-0trusty) trusty; urgency=high



 -- Jennifer Buehler <jennifer.e.buehler@gmail.com>  Fri, 05 Jan 2018 23:00:00 -0000

ros-indigo-moveit-controller-multidof (1.0.0-0trusty) trusty; urgency=high

  * Initial release
  * Contributors: Jennifer Buehler

 -- Jennifer Buehler <jennifer.e.buehler@gmail.com>  Mon, 06 Jun 2016 22:00:00 -0000
