=== debian/control ===
Source: ros-indigo-moveit-controller-multidof
Section: misc
Priority: extra
Maintainer: Jennifer Buehler <jennifer.e.buehler@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-actionlib, ros-indigo-actionlib-msgs, ros-indigo-catkin, ros-indigo-control-msgs, ros-indigo-geometry-msgs, ros-indigo-moveit-core, ros-indigo-moveit-msgs, ros-indigo-path-navigation-msgs, ros-indigo-pluginlib, ros-indigo-roscpp
Homepage: 
Standards-Version: 3.9.2

Package: ros-indigo-moveit-controller-multidof
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-actionlib, ros-indigo-actionlib-msgs, ros-indigo-control-msgs, ros-indigo-geometry-msgs, ros-indigo-moveit-core, ros-indigo-moveit-msgs, ros-indigo-path-navigation-msgs, ros-indigo-pluginlib, ros-indigo-roscpp
Description: A moveit_controller_manager implementation which supports execution of a MultiDOF-trajectory with a virtual joint.
 Transforms the moveit_msgs::RobotTrajectory into a path navigation action and/or a control_msgs/FollowJointTrajectoryAction to control (1) the virtual joint with the path navigation action (read from moveit_msgs/RobotTrajectory.multi_dof_joint_trajectory), and (2) the joints with a control_msgs/FollowJointTrajectoryAction.
